#FROM php:8.0-apache
FROM --platform=linux/amd64 php:8.4-apache 
WORKDIR /var/www/html

#COPY index.php index.php

RUN mkdir /app
COPY vhost.conf /etc/apache2/sites-available/000-default.conf

COPY adf/saveData.php /var/www/html/saveData.php

WORKDIR /app

COPY . .

# ADD extras/dockerstart.sh /usr/local/servicemix/bin/
# RUN chmod 755 /usr/local/bin/dockerstart.sh

RUN chown -R www-data:www-data /app && a2enmod rewrite
RUN docker-php-ext-install mysqli pdo pdo_mysql

EXPOSE 80
